<?php

namespace App\Datatables\Admin\Shop;

use App\Datatables\ParentDataTable as DataTable;
use App\Models\Shop\TariffUnity;
use Yajra\DataTables\Html\Column;

class TariffUnitiesDataTable extends DataTable
{
    public $model_name = 'tariff_unities';

    public function query(TariffUnity $model)
    {
        return $this->buildQuery($model);
    }

    protected function getColumns()
    {
        return [
            Column::make('value')->title('Valeur'),
            $this->makeColumnButtons(),
        ];
    }
}
